<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:variable name="TK">Tokelau</xsl:variable>
	<xsl:variable name="TJ">Tadschikistan</xsl:variable>
	<xsl:variable name="TH">Thailand</xsl:variable>
	<xsl:variable name="TG">Togo</xsl:variable>
	<xsl:variable name="TF">Franz&#246;sische Gebiete im s&#252;dlichen Indischen Ozean</xsl:variable>
	<xsl:variable name="GY">Guyana</xsl:variable>
	<xsl:variable name="TD">Tschad</xsl:variable>
	<xsl:variable name="TC">Turks- und Caicosinseln</xsl:variable>
	<xsl:variable name="Sb">Solomon Inseln</xsl:variable>
	<xsl:variable name="GW">Guinea-Bissau</xsl:variable>
	<xsl:variable name="GU">Guam</xsl:variable>
	<xsl:variable name="GT">Guatemala</xsl:variable>
	<xsl:variable name="GS">S. Georgia und S. Sandwich Isls.</xsl:variable>
	<xsl:variable name="GR">Griechenland</xsl:variable>
	<xsl:variable name="GQ">&#196;quatorial Guinea</xsl:variable>
	<xsl:variable name="GP">Guadeloupe</xsl:variable>
	<xsl:variable name="SZ">Swasiland</xsl:variable>
	<xsl:variable name="SY">Syrien</xsl:variable>
	<xsl:variable name="GN">Guinea</xsl:variable>
	<xsl:variable name="GM">Gambia</xsl:variable>
	<xsl:variable name="GL">Gr&#246;nland</xsl:variable>
	<xsl:variable name="SV">El Salvador</xsl:variable>
	<xsl:variable name="SU">UdSSR (ehemalig)</xsl:variable>
	<xsl:variable name="ST">Sao Tome und Principe</xsl:variable>
	<xsl:variable name="GI">Gibraltar</xsl:variable>
	<xsl:variable name="GH">Ghana</xsl:variable>
	<xsl:variable name="SR">Surinam</xsl:variable>
	<xsl:variable name="GF">Franz&#246;sisch-Guayana</xsl:variable>
	<xsl:variable name="GE">Georgien</xsl:variable>
	<xsl:variable name="SO">Somalia</xsl:variable>
	<xsl:variable name="GD">Grenada</xsl:variable>
	<xsl:variable name="SN">Senegal</xsl:variable>
	<xsl:variable name="SM">San Marino</xsl:variable>
	<xsl:variable name="GB">Gro&#223;britannien (UK)</xsl:variable>
	<xsl:variable name="SL">Sierra Leone</xsl:variable>
	<xsl:variable name="GA">Gabon</xsl:variable>
	<xsl:variable name="SK">Slowakische Republik</xsl:variable>
	<xsl:variable name="SJ">Svalbard und Jan Mayen Inseln</xsl:variable>
	<xsl:variable name="SI">Slowenien</xsl:variable>
	<xsl:variable name="SH">St. Helena</xsl:variable>
	<xsl:variable name="SG">Singapur</xsl:variable>
	<xsl:variable name="SE">Schweden</xsl:variable>
	<xsl:variable name="SD">Sudan</xsl:variable>
	<xsl:variable name="FX">Frankreich (incl. Korsika und &#220;berseeterritorien)</xsl:variable>
	<xsl:variable name="SC">Seychellen</xsl:variable>
	<xsl:variable name="SA">Saudi Arabien</xsl:variable>
	<xsl:variable name="FR">Frankreich (incl. Korsika)</xsl:variable>
	<xsl:variable name="FO">Far&#246;er Inseln</xsl:variable>
	<xsl:variable name="FM">Mikronesien</xsl:variable>
	<xsl:variable name="RW">Ruanda</xsl:variable>
	<xsl:variable name="CSROUInvalid">Ung&#252;ltiger Wert f&#252;r Organisationseinheit (OU).</xsl:variable>
	<xsl:variable name="FK">Falkland Inseln (Malvinas)</xsl:variable>
	<xsl:variable name="RU">Russische F&#246;rderation</xsl:variable>
	<xsl:variable name="FJ">Fidschi</xsl:variable>
	<xsl:variable name="FI">Finnland</xsl:variable>
	<xsl:variable name="RO">Rum&#228;nien</xsl:variable>
	<xsl:variable name="CSRCNInvalid">Ung&#252;ltiger Wert f&#252;r Allgemeiner Name (CN).</xsl:variable>
	<xsl:variable name="RE">Reunion</xsl:variable>
	<xsl:variable name="ET">&#196;thiopien</xsl:variable>
	<xsl:variable name="ES">Spanien</xsl:variable>
	<xsl:variable name="ER">Eritrea</xsl:variable>
	<xsl:variable name="EH">West Sahara</xsl:variable>
	<xsl:variable name="EG">&#196;gypten</xsl:variable>
	<xsl:variable name="EE">Estland</xsl:variable>
	<xsl:variable name="EC">Ecuador</xsl:variable>
	<xsl:variable name="DZ">Algerien</xsl:variable>
	<xsl:variable name="QA">Qatar</xsl:variable>
	<xsl:variable name="DO">Dominikanische Republik</xsl:variable>
	<xsl:variable name="PY">Paraguay</xsl:variable>
	<xsl:variable name="DM">Dominica</xsl:variable>
	<xsl:variable name="PW">Palau</xsl:variable>
	<xsl:variable name="DK">D&#228;nemark</xsl:variable>
	<xsl:variable name="DJ">Dschibuti</xsl:variable>
	<xsl:variable name="PT">Portugal</xsl:variable>
	<xsl:variable name="PR">Puerto Rico</xsl:variable>
	<xsl:variable name="DE">Deutschland</xsl:variable>
	<xsl:variable name="PN">Pitcairn</xsl:variable>
	<xsl:variable name="PM">St. Pierre und Miquelon</xsl:variable>
	<xsl:variable name="PL">Polen</xsl:variable>
	<xsl:variable name="PK">Pakistan</xsl:variable>
	<xsl:variable name="PH">Philippinen</xsl:variable>
	<xsl:variable name="PG">Papua Neu Guinea</xsl:variable>
	<xsl:variable name="PF">Franz&#246;sisch Polynesien</xsl:variable>
	<xsl:variable name="CZ">Tschechische Republik</xsl:variable>
	<xsl:variable name="PE">Peru</xsl:variable>
	<xsl:variable name="CY">Zypern</xsl:variable>
	<xsl:variable name="CX">Weihnachtsinseln</xsl:variable>
	<xsl:variable name="CV">Kap Verde</xsl:variable>
	<xsl:variable name="PA">Panama</xsl:variable>
	<xsl:variable name="CU">Kuba</xsl:variable>
	<xsl:variable name="CS">Tschechoslowakei</xsl:variable>
	<xsl:variable name="CR">Costa Rica</xsl:variable>
	<xsl:variable name="CO">Kolumbien</xsl:variable>
	<xsl:variable name="CN">China</xsl:variable>
	<xsl:variable name="CM">Kamerun</xsl:variable>
	<xsl:variable name="CL">Chile</xsl:variable>
	<xsl:variable name="CK">Cook Inseln</xsl:variable>
	<xsl:variable name="CI">Cote D'Ivoire (Elfenbeink&#252;ste)</xsl:variable>
	<xsl:variable name="CH">Schweiz</xsl:variable>
	<xsl:variable name="CG">Kongo</xsl:variable>
	<xsl:variable name="CF">Zentralafrikanische Republik</xsl:variable>
	<xsl:variable name="CC">Cocos (Keeling) Inseln</xsl:variable>
	<xsl:variable name="OM">Oman</xsl:variable>
	<xsl:variable name="CA">Kanada</xsl:variable>
	<xsl:variable name="CSRS">Bundesland (S):</xsl:variable>
	<xsl:variable name="CSRO">Organisation (O):</xsl:variable>
	<xsl:variable name="BZ">Belize</xsl:variable>
	<xsl:variable name="BY">Wei&#223;russland</xsl:variable>
	<xsl:variable name="CSRL">Ort (L):</xsl:variable>
	<xsl:variable name="BW">Botswana</xsl:variable>
	<xsl:variable name="BV">Bouvetinsel</xsl:variable>
	<xsl:variable name="BT">Bhutan</xsl:variable>
	<xsl:variable name="BS">Bahamas</xsl:variable>
	<xsl:variable name="CSRF">Dateipfad:</xsl:variable>
	<xsl:variable name="BR">Brasilien</xsl:variable>
	<xsl:variable name="CSRE">E-Mail-Adresse (E):</xsl:variable>
	<xsl:variable name="CSRC">Landescode (C):</xsl:variable>
	<xsl:variable name="NZ">Neuseeland (Aotearoa)</xsl:variable>
	<xsl:variable name="BO">Bolivien</xsl:variable>
	<xsl:variable name="BN">Brunei Darussalam</xsl:variable>
	<xsl:variable name="CSRTitle">Zertifikatsignierungsanforderung (CSR) erstellen</xsl:variable>
	<xsl:variable name="BM">Bermuda</xsl:variable>
	<xsl:variable name="NU">Niue</xsl:variable>
	<xsl:variable name="BJ">Benin</xsl:variable>
	<xsl:variable name="NT">Neutrale Zone</xsl:variable>
	<xsl:variable name="BI">Burundi</xsl:variable>
	<xsl:variable name="BH">Bahrain</xsl:variable>
	<xsl:variable name="NR">Nauru</xsl:variable>
	<xsl:variable name="BG">Bulgarien</xsl:variable>
	<xsl:variable name="BF">Burkina Faso</xsl:variable>
	<xsl:variable name="NP">Nepal</xsl:variable>
	<xsl:variable name="BE">Belgien</xsl:variable>
	<xsl:variable name="NO">Norwegen</xsl:variable>
	<xsl:variable name="BD">Bangladesch</xsl:variable>
	<xsl:variable name="BB">Barbados</xsl:variable>
	<xsl:variable name="ZW">Zimbabwe</xsl:variable>
	<xsl:variable name="NL">Niederlande</xsl:variable>
	<xsl:variable name="BA">Bosnien und Herzegowina</xsl:variable>
	<xsl:variable name="NI">Nicaragua</xsl:variable>
	<xsl:variable name="ZR">Zaire</xsl:variable>
	<xsl:variable name="NG">Nigeria</xsl:variable>
	<xsl:variable name="CSRCNRequired">Allgemeiner Name (CN) ist erforderlich.</xsl:variable>
	<xsl:variable name="NF">Norfolk Island</xsl:variable>
	<xsl:variable name="AZ">Aserbaidschan</xsl:variable>
	<xsl:variable name="NE">Niger</xsl:variable>
	<xsl:variable name="NC">Neu Kaledonien</xsl:variable>
	<xsl:variable name="AW">Aruba</xsl:variable>
	<xsl:variable name="ZM">Zambia</xsl:variable>
	<xsl:variable name="NA">Namibia</xsl:variable>
	<xsl:variable name="AU">Australien</xsl:variable>
	<xsl:variable name="AT">&#214;sterreich</xsl:variable>
	<xsl:variable name="AS">Amerikanisch Samoa</xsl:variable>
	<xsl:variable name="AR">Argentinien</xsl:variable>
	<xsl:variable name="AQ">Antarctica</xsl:variable>
	<xsl:variable name="MZ">Mosambik</xsl:variable>
	<xsl:variable name="AO">Angola</xsl:variable>
	<xsl:variable name="MY">Malaysia</xsl:variable>
	<xsl:variable name="AN">Niederl&#228;ndische Antillen</xsl:variable>
	<xsl:variable name="MX">Mexiko</xsl:variable>
	<xsl:variable name="AM">Armenien</xsl:variable>
	<xsl:variable name="MW">Malawien</xsl:variable>
	<xsl:variable name="AL">Albanien</xsl:variable>
	<xsl:variable name="MV">Malediven</xsl:variable>
	<xsl:variable name="ZA">S&#252;dafrika</xsl:variable>
	<xsl:variable name="MU">Mauritius</xsl:variable>
	<xsl:variable name="MT">Malta</xsl:variable>
	<xsl:variable name="CSREInvalid">Ung&#252;ltiger Wert f&#252;r E-Mail-Adresse (E).</xsl:variable>
	<xsl:variable name="AI">Anguilla</xsl:variable>
	<xsl:variable name="MS">Montserrat</xsl:variable>
	<xsl:variable name="MR">Mauritanien</xsl:variable>
	<xsl:variable name="AG">Antigua und Barbuda</xsl:variable>
	<xsl:variable name="MQ">Martinique</xsl:variable>
	<xsl:variable name="AF">Afghanistan</xsl:variable>
	<xsl:variable name="MP">Nord Mariana Inseln</xsl:variable>
	<xsl:variable name="AE">Vereinigte Arabische Emirate</xsl:variable>
	<xsl:variable name="MO">Macau</xsl:variable>
	<xsl:variable name="AD">Andorra</xsl:variable>
	<xsl:variable name="MN">Mongolien</xsl:variable>
	<xsl:variable name="MM">Myanmar</xsl:variable>
	<xsl:variable name="CSROInvalid">Ung&#252;ltiger Wert f&#252;r Organisation (O).</xsl:variable>
	<xsl:variable name="ML">Mali</xsl:variable>
	<xsl:variable name="MK">Mazedonien</xsl:variable>
	<xsl:variable name="YU">Jugoslawien</xsl:variable>
	<xsl:variable name="YT">Mayotte</xsl:variable>
	<xsl:variable name="MH">Marshall Inseln</xsl:variable>
	<xsl:variable name="MG">Madagaskar</xsl:variable>
	<xsl:variable name="MD">Moldova</xsl:variable>
	<xsl:variable name="MC">Monaco</xsl:variable>
	<xsl:variable name="MA">Morokko</xsl:variable>
	<xsl:variable name="YE">Jemen</xsl:variable>
	<xsl:variable name="LY">Libyen</xsl:variable>
	<xsl:variable name="LV">Lettland</xsl:variable>
	<xsl:variable name="LU">Luxemburg</xsl:variable>
	<xsl:variable name="LT">Litauen</xsl:variable>
	<xsl:variable name="LS">Lesotho</xsl:variable>
	<xsl:variable name="LR">Liberia</xsl:variable>
	<xsl:variable name="LK">Sri Lanka</xsl:variable>
	<xsl:variable name="LI">Liechtenstein</xsl:variable>
	<xsl:variable name="CSRPrompt">F&#252;llen Sie alle folgenden Einzelheiten aus und klicken Sie auf Erstellen um ein neues CSR-Zertifikat zu erstellen. (HINWEIS: Durch das Erstellen einer neuen CSR wird eine vorhandene CSR auf dem RAC &#252;berschrieben.)</xsl:variable>
	<xsl:variable name="LC">Saint Lucia</xsl:variable>
	<xsl:variable name="CSRORequired">Organisation (O) ist erforderlich.</xsl:variable>
	<xsl:variable name="LB">Libanon</xsl:variable>
	<xsl:variable name="LA">Laos</xsl:variable>
	<xsl:variable name="KZ">Kasachstan</xsl:variable>
	<xsl:variable name="KY">Caymaninseln</xsl:variable>
	<xsl:variable name="KW">Kuwait</xsl:variable>
	<xsl:variable name="CSRFRequired">Dateipfad ist erforderlich.</xsl:variable>
	<xsl:variable name="CSRLInvalid">Ung&#252;ltiger Wert f&#252;r Ort (L).</xsl:variable>
	<xsl:variable name="KR">Korea (S&#252;d)</xsl:variable>
	<xsl:variable name="CSRCN">Allgemeiner Name (CN):</xsl:variable>
	<xsl:variable name="CSRGenerate">Erstellen</xsl:variable>
	<xsl:variable name="KP">Korea (Nord)</xsl:variable>
	<xsl:variable name="KN">Saint Kitts und Nevis</xsl:variable>
	<xsl:variable name="CSROU">Organisationseinheit (OU):</xsl:variable>
	<xsl:variable name="KM">Comoros</xsl:variable>
	<xsl:variable name="KI">Kiribati</xsl:variable>
	<xsl:variable name="WS">Samoa</xsl:variable>
	<xsl:variable name="CSRLRequired">Ort (L) ist erforderlich.</xsl:variable>
	<xsl:variable name="KH">Kambodscha</xsl:variable>
	<xsl:variable name="KG">Kirgisistan</xsl:variable>
	<xsl:variable name="KE">Kenia</xsl:variable>
	<xsl:variable name="CSRCRequired">Landesvorwahl (C) ist erforderlich.</xsl:variable>
	<xsl:variable name="WF">Wallis und Futuna Inseln</xsl:variable>
	<xsl:variable name="CSRSInvalid">Ung&#252;ltiger Wert f&#252;r Bundesland (S).</xsl:variable>
	<xsl:variable name="JP">Japan</xsl:variable>
	<xsl:variable name="JO">Jordanien</xsl:variable>
	<xsl:variable name="JM">Jamaika</xsl:variable>
	<xsl:variable name="VU">Vanuatu</xsl:variable>
	<xsl:variable name="VN">Vietnam</xsl:variable>
	<xsl:variable name="VI">Amerikanische Jungferninseln</xsl:variable>
	<xsl:variable name="VG">Britische Jungferninseln</xsl:variable>
	<xsl:variable name="CSRManagement">Zertifikatsverwaltung</xsl:variable>
	<xsl:variable name="VE">Venezuela</xsl:variable>
	<xsl:variable name="VC">Saint Vincent und die Grenadines</xsl:variable>
	<xsl:variable name="VA">Vaticanstaat (Holy See)</xsl:variable>
	<xsl:variable name="IT">Italien</xsl:variable>
	<xsl:variable name="IS">Island</xsl:variable>
	<xsl:variable name="IR">Iran</xsl:variable>
	<xsl:variable name="IQ">Irak</xsl:variable>
	<xsl:variable name="UZ">Usbekistan</xsl:variable>
	<xsl:variable name="IO">Britisches Territorium im Indischen Ozean</xsl:variable>
	<xsl:variable name="UY">Uruguay</xsl:variable>
	<xsl:variable name="IN">Indien</xsl:variable>
	<xsl:variable name="IL">Israel</xsl:variable>
	<xsl:variable name="US">Vereinigte Staaten</xsl:variable>
	<xsl:variable name="IE">Irland</xsl:variable>
	<xsl:variable name="ID">Indonesien</xsl:variable>
	<xsl:variable name="UM">Kleinere amerikanische &#220;berseeinseln</xsl:variable>
	<xsl:variable name="CSRFInvalid">Ung&#252;ltiger Wert f&#252;r Dateipfad.</xsl:variable>
	<xsl:variable name="UK">Vereinigtes K&#246;nigreich</xsl:variable>
	<xsl:variable name="UG">Uganda</xsl:variable>
	<xsl:variable name="CSRSRequired">Bundesland (S) ist erforderlich.</xsl:variable>
	<xsl:variable name="UA">Ukraine</xsl:variable>
	<xsl:variable name="HU">Ungarn</xsl:variable>
	<xsl:variable name="HT">Haiti</xsl:variable>
	<xsl:variable name="HR">Kroatien (Hrvatska)</xsl:variable>
	<xsl:variable name="TZ">Tansania</xsl:variable>
	<xsl:variable name="HN">Honduras</xsl:variable>
	<xsl:variable name="HM">Heard und McDonald Inseln</xsl:variable>
	<xsl:variable name="TW">Taiwan</xsl:variable>
	<xsl:variable name="CSROURequired">Organisationseinheit (OU) ist erforderlich.</xsl:variable>
	<xsl:variable name="TV">Tuvalu</xsl:variable>
	<xsl:variable name="HK">Hong Kong</xsl:variable>
	<xsl:variable name="CSRCInvalid">Ung&#252;ltiger Wert f&#252;r Landesvorwahl (C).</xsl:variable>
	<xsl:variable name="TT">Trinidad und Tobago</xsl:variable>
	<xsl:variable name="TR">T&#252;rkei</xsl:variable>
	<xsl:variable name="TP">Ost Timor</xsl:variable>
	<xsl:variable name="TO">Tonga</xsl:variable>
	<xsl:variable name="TN">Tunesien</xsl:variable>
	<xsl:variable name="TM">Turkmenistan</xsl:variable>
</xsl:stylesheet>
