<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:variable name="TK">Tokelau</xsl:variable>
	<xsl:variable name="TJ">Tajikistan</xsl:variable>
	<xsl:variable name="TH">Thailand</xsl:variable>
	<xsl:variable name="TG">Togo</xsl:variable>
	<xsl:variable name="TF">French Southern Territories</xsl:variable>
	<xsl:variable name="GY">Guyana</xsl:variable>
	<xsl:variable name="TD">Chad</xsl:variable>
	<xsl:variable name="TC">Turks and Caicos Islands</xsl:variable>
	<xsl:variable name="Sb">Solomon Islands</xsl:variable>
	<xsl:variable name="GW">Guinea-Bissau</xsl:variable>
	<xsl:variable name="GU">Guam</xsl:variable>
	<xsl:variable name="GT">Guatemala</xsl:variable>
	<xsl:variable name="GS">S. Georgia and S. Sandwich Isls.</xsl:variable>
	<xsl:variable name="GR">Greece</xsl:variable>
	<xsl:variable name="GQ">Equatorial Guinea</xsl:variable>
	<xsl:variable name="GP">Guadeloupe</xsl:variable>
	<xsl:variable name="SZ">Swaziland</xsl:variable>
	<xsl:variable name="SY">Syria</xsl:variable>
	<xsl:variable name="GN">Guinea</xsl:variable>
	<xsl:variable name="GM">Gambia</xsl:variable>
	<xsl:variable name="GL">Greenland</xsl:variable>
	<xsl:variable name="SV">El Salvador</xsl:variable>
	<xsl:variable name="SU">USSR (former)</xsl:variable>
	<xsl:variable name="ST">Sao Tome and Principe</xsl:variable>
	<xsl:variable name="GI">Gibraltar</xsl:variable>
	<xsl:variable name="GH">Ghana</xsl:variable>
	<xsl:variable name="SR">Suriname</xsl:variable>
	<xsl:variable name="GF">French Guiana</xsl:variable>
	<xsl:variable name="GE">Georgia</xsl:variable>
	<xsl:variable name="SO">Somalia</xsl:variable>
	<xsl:variable name="GD">Grenada</xsl:variable>
	<xsl:variable name="SN">Senegal</xsl:variable>
	<xsl:variable name="SM">San Marino</xsl:variable>
	<xsl:variable name="GB">Great Britain (UK)</xsl:variable>
	<xsl:variable name="SL">Sierra Leone</xsl:variable>
	<xsl:variable name="GA">Gabon</xsl:variable>
	<xsl:variable name="SK">Slovak Republic</xsl:variable>
	<xsl:variable name="SJ">Svalbard and Jan Mayen Islands</xsl:variable>
	<xsl:variable name="SI">Slovenia</xsl:variable>
	<xsl:variable name="SH">St. Helena</xsl:variable>
	<xsl:variable name="SG">Singapore</xsl:variable>
	<xsl:variable name="SE">Sweden</xsl:variable>
	<xsl:variable name="SD">Sudan</xsl:variable>
	<xsl:variable name="FX">France, Metropolitan</xsl:variable>
	<xsl:variable name="SC">Seychelles</xsl:variable>
	<xsl:variable name="SA">Saudi Arabia</xsl:variable>
	<xsl:variable name="FR">France</xsl:variable>
	<xsl:variable name="FO">Faroe Islands</xsl:variable>
	<xsl:variable name="FM">Micronesia</xsl:variable>
	<xsl:variable name="RW">Rwanda</xsl:variable>
	<xsl:variable name="CSROUInvalid">Invalid value for Organization Unit (OU).</xsl:variable>
	<xsl:variable name="FK">Falkland Islands (Malvinas)</xsl:variable>
	<xsl:variable name="RU">Russian Federation</xsl:variable>
	<xsl:variable name="FJ">Fiji</xsl:variable>
	<xsl:variable name="FI">Finland</xsl:variable>
	<xsl:variable name="RO">Romania</xsl:variable>
	<xsl:variable name="CSRCNInvalid">Invalid value for Common Name (CN).</xsl:variable>
	<xsl:variable name="RE">Reunion</xsl:variable>
	<xsl:variable name="ET">Ethiopia</xsl:variable>
	<xsl:variable name="ES">Spain</xsl:variable>
	<xsl:variable name="ER">Eritrea</xsl:variable>
	<xsl:variable name="EH">Western Sahara</xsl:variable>
	<xsl:variable name="EG">Egypt</xsl:variable>
	<xsl:variable name="EE">Estonia</xsl:variable>
	<xsl:variable name="EC">Ecuador</xsl:variable>
	<xsl:variable name="DZ">Algeria</xsl:variable>
	<xsl:variable name="QA">Qatar</xsl:variable>
	<xsl:variable name="DO">Dominican Republic</xsl:variable>
	<xsl:variable name="PY">Paraguay</xsl:variable>
	<xsl:variable name="DM">Dominica</xsl:variable>
	<xsl:variable name="PW">Palau</xsl:variable>
	<xsl:variable name="DK">Denmark</xsl:variable>
	<xsl:variable name="DJ">Djibouti</xsl:variable>
	<xsl:variable name="PT">Portugal</xsl:variable>
	<xsl:variable name="PR">Puerto Rico</xsl:variable>
	<xsl:variable name="DE">Germany</xsl:variable>
	<xsl:variable name="PN">Pitcairn</xsl:variable>
	<xsl:variable name="PM">St. Pierre and Miquelon</xsl:variable>
	<xsl:variable name="PL">Poland</xsl:variable>
	<xsl:variable name="PK">Pakistan</xsl:variable>
	<xsl:variable name="PH">Philippines</xsl:variable>
	<xsl:variable name="PG">Papua New Guinea</xsl:variable>
	<xsl:variable name="PF">French Polynesia</xsl:variable>
	<xsl:variable name="CZ">Czech Republic</xsl:variable>
	<xsl:variable name="PE">Peru</xsl:variable>
	<xsl:variable name="CY">Cyprus</xsl:variable>
	<xsl:variable name="CX">Christmas Island</xsl:variable>
	<xsl:variable name="CV">Cape Verde</xsl:variable>
	<xsl:variable name="PA">Panama</xsl:variable>
	<xsl:variable name="CU">Cuba</xsl:variable>
	<xsl:variable name="CS">Czechoslovakia</xsl:variable>
	<xsl:variable name="CR">Costa Rica</xsl:variable>
	<xsl:variable name="CO">Colombia</xsl:variable>
	<xsl:variable name="CN">China</xsl:variable>
	<xsl:variable name="CM">Cameroon</xsl:variable>
	<xsl:variable name="CL">Chile</xsl:variable>
	<xsl:variable name="CK">Cook Islands</xsl:variable>
	<xsl:variable name="CI">Cote D'Ivoire (Ivory Coast)</xsl:variable>
	<xsl:variable name="CH">Switzerland</xsl:variable>
	<xsl:variable name="CG">Congo</xsl:variable>
	<xsl:variable name="CF">Central African Republic</xsl:variable>
	<xsl:variable name="CC">Cocos (Keeling) Islands</xsl:variable>
	<xsl:variable name="OM">Oman</xsl:variable>
	<xsl:variable name="CA">Canada</xsl:variable>
	<xsl:variable name="CSRS">State (S):</xsl:variable>
	<xsl:variable name="CSRO">Organization (O):</xsl:variable>
	<xsl:variable name="BZ">Belize</xsl:variable>
	<xsl:variable name="BY">Belarus</xsl:variable>
	<xsl:variable name="CSRL">Locality (L):</xsl:variable>
	<xsl:variable name="BW">Botswana</xsl:variable>
	<xsl:variable name="BV">Bouvet Island</xsl:variable>
	<xsl:variable name="BT">Bhutan</xsl:variable>
	<xsl:variable name="BS">Bahamas</xsl:variable>
	<xsl:variable name="CSRF">File path:</xsl:variable>
	<xsl:variable name="BR">Brazil</xsl:variable>
	<xsl:variable name="CSRE">E-mail Address (E):</xsl:variable>
	<xsl:variable name="CSRC">Country Code (C):</xsl:variable>
	<xsl:variable name="NZ">New Zealand (Aotearoa)</xsl:variable>
	<xsl:variable name="BO">Bolivia</xsl:variable>
	<xsl:variable name="BN">Brunei Darussalam</xsl:variable>
	<xsl:variable name="CSRTitle">Certificate Signing Request (CSR) Generation</xsl:variable>
	<xsl:variable name="BM">Bermuda</xsl:variable>
	<xsl:variable name="NU">Niue</xsl:variable>
	<xsl:variable name="BJ">Benin</xsl:variable>
	<xsl:variable name="NT">Neutral Zone</xsl:variable>
	<xsl:variable name="BI">Burundi</xsl:variable>
	<xsl:variable name="BH">Bahrain</xsl:variable>
	<xsl:variable name="NR">Nauru</xsl:variable>
	<xsl:variable name="BG">Bulgaria</xsl:variable>
	<xsl:variable name="BF">Burkina Faso</xsl:variable>
	<xsl:variable name="NP">Nepal</xsl:variable>
	<xsl:variable name="BE">Belgium</xsl:variable>
	<xsl:variable name="NO">Norway</xsl:variable>
	<xsl:variable name="BD">Bangladesh</xsl:variable>
	<xsl:variable name="BB">Barbados</xsl:variable>
	<xsl:variable name="ZW">Zimbabwe</xsl:variable>
	<xsl:variable name="NL">Netherlands</xsl:variable>
	<xsl:variable name="BA">Bosnia and Herzegovina</xsl:variable>
	<xsl:variable name="NI">Nicaragua</xsl:variable>
	<xsl:variable name="ZR">Zaire</xsl:variable>
	<xsl:variable name="NG">Nigeria</xsl:variable>
	<xsl:variable name="CSRCNRequired">Common Name (CN) is required.</xsl:variable>
	<xsl:variable name="NF">Norfolk Island</xsl:variable>
	<xsl:variable name="AZ">Azerbaijan</xsl:variable>
	<xsl:variable name="NE">Niger</xsl:variable>
	<xsl:variable name="NC">New Caledonia</xsl:variable>
	<xsl:variable name="AW">Aruba</xsl:variable>
	<xsl:variable name="ZM">Zambia</xsl:variable>
	<xsl:variable name="NA">Namibia</xsl:variable>
	<xsl:variable name="AU">Australia</xsl:variable>
	<xsl:variable name="AT">Austria</xsl:variable>
	<xsl:variable name="AS">American Samoa</xsl:variable>
	<xsl:variable name="AR">Argentina</xsl:variable>
	<xsl:variable name="AQ">Antarctica</xsl:variable>
	<xsl:variable name="MZ">Mozambique</xsl:variable>
	<xsl:variable name="AO">Angola</xsl:variable>
	<xsl:variable name="MY">Malaysia</xsl:variable>
	<xsl:variable name="AN">Netherlands Antilles</xsl:variable>
	<xsl:variable name="MX">Mexico</xsl:variable>
	<xsl:variable name="AM">Armenia</xsl:variable>
	<xsl:variable name="MW">Malawi</xsl:variable>
	<xsl:variable name="AL">Albania</xsl:variable>
	<xsl:variable name="MV">Maldives</xsl:variable>
	<xsl:variable name="ZA">South Africa</xsl:variable>
	<xsl:variable name="MU">Mauritius</xsl:variable>
	<xsl:variable name="MT">Malta</xsl:variable>
	<xsl:variable name="CSREInvalid">Invalid value for E-mail Address (E).</xsl:variable>
	<xsl:variable name="AI">Anguilla</xsl:variable>
	<xsl:variable name="MS">Montserrat</xsl:variable>
	<xsl:variable name="MR">Mauritania</xsl:variable>
	<xsl:variable name="AG">Antigua and Barbuda</xsl:variable>
	<xsl:variable name="MQ">Martinique</xsl:variable>
	<xsl:variable name="AF">Afghanistan</xsl:variable>
	<xsl:variable name="MP">Northern Mariana Islands</xsl:variable>
	<xsl:variable name="AE">United Arab Emirates</xsl:variable>
	<xsl:variable name="MO">Macau</xsl:variable>
	<xsl:variable name="AD">Andorra</xsl:variable>
	<xsl:variable name="MN">Mongolia</xsl:variable>
	<xsl:variable name="MM">Myanmar</xsl:variable>
	<xsl:variable name="CSROInvalid">Invalid value for Organization (O).</xsl:variable>
	<xsl:variable name="ML">Mali</xsl:variable>
	<xsl:variable name="MK">Macedonia</xsl:variable>
	<xsl:variable name="YU">Yugoslavia</xsl:variable>
	<xsl:variable name="YT">Mayotte</xsl:variable>
	<xsl:variable name="MH">Marshall Islands</xsl:variable>
	<xsl:variable name="MG">Madagascar</xsl:variable>
	<xsl:variable name="MD">Moldova</xsl:variable>
	<xsl:variable name="MC">Monaco</xsl:variable>
	<xsl:variable name="MA">Morocco</xsl:variable>
	<xsl:variable name="YE">Yemen</xsl:variable>
	<xsl:variable name="LY">Libya</xsl:variable>
	<xsl:variable name="LV">Latvia</xsl:variable>
	<xsl:variable name="LU">Luxembourg</xsl:variable>
	<xsl:variable name="LT">Lithuania</xsl:variable>
	<xsl:variable name="LS">Lesotho</xsl:variable>
	<xsl:variable name="LR">Liberia</xsl:variable>
	<xsl:variable name="LK">Sri Lanka</xsl:variable>
	<xsl:variable name="LI">Liechtenstein</xsl:variable>
	<xsl:variable name="CSRPrompt">Fill in all the details below and click Generate to create a new CSR. (Note: Generating a new CSR will overwrite any existing CSR on the RAC.)</xsl:variable>
	<xsl:variable name="LC">Saint Lucia</xsl:variable>
	<xsl:variable name="CSRORequired">Organization (O) is required.</xsl:variable>
	<xsl:variable name="LB">Lebanon</xsl:variable>
	<xsl:variable name="LA">Laos</xsl:variable>
	<xsl:variable name="KZ">Kazakhstan</xsl:variable>
	<xsl:variable name="KY">Cayman Islands</xsl:variable>
	<xsl:variable name="KW">Kuwait</xsl:variable>
	<xsl:variable name="CSRFRequired">File path is required.</xsl:variable>
	<xsl:variable name="CSRLInvalid">Invalid value for Locality (L).</xsl:variable>
	<xsl:variable name="KR">Korea (South)</xsl:variable>
	<xsl:variable name="CSRCN">Common Name (CN):</xsl:variable>
	<xsl:variable name="CSRGenerate">Generate</xsl:variable>
	<xsl:variable name="KP">Korea (North)</xsl:variable>
	<xsl:variable name="KN">Saint Kitts and Nevis</xsl:variable>
	<xsl:variable name="CSROU">Organization Unit (OU):</xsl:variable>
	<xsl:variable name="KM">Comoros</xsl:variable>
	<xsl:variable name="KI">Kiribati</xsl:variable>
	<xsl:variable name="WS">Samoa</xsl:variable>
	<xsl:variable name="CSRLRequired">Locality (L) is required.</xsl:variable>
	<xsl:variable name="KH">Cambodia</xsl:variable>
	<xsl:variable name="KG">Kyrgyzstan</xsl:variable>
	<xsl:variable name="KE">Kenya</xsl:variable>
	<xsl:variable name="CSRCRequired">Country Code (C) is required.</xsl:variable>
	<xsl:variable name="WF">Wallis and Futuna Islands</xsl:variable>
	<xsl:variable name="CSRSInvalid">Invalid value for State (S).</xsl:variable>
	<xsl:variable name="JP">Japan</xsl:variable>
	<xsl:variable name="JO">Jordan</xsl:variable>
	<xsl:variable name="JM">Jamaica</xsl:variable>
	<xsl:variable name="VU">Vanuatu</xsl:variable>
	<xsl:variable name="VN">Viet Nam</xsl:variable>
	<xsl:variable name="VI">Virgin Islands (U.S.)</xsl:variable>
	<xsl:variable name="VG">Virgin Islands (British)</xsl:variable>
	<xsl:variable name="CSRManagement">Certificate Management</xsl:variable>
	<xsl:variable name="VE">Venezuela</xsl:variable>
	<xsl:variable name="VC">Saint Vincent and the Grenadines</xsl:variable>
	<xsl:variable name="VA">Vatican City State (Holy See)</xsl:variable>
	<xsl:variable name="IT">Italy</xsl:variable>
	<xsl:variable name="IS">Iceland</xsl:variable>
	<xsl:variable name="IR">Iran</xsl:variable>
	<xsl:variable name="IQ">Iraq</xsl:variable>
	<xsl:variable name="UZ">Uzbekistan</xsl:variable>
	<xsl:variable name="IO">British Indian Ocean Territory</xsl:variable>
	<xsl:variable name="UY">Uruguay</xsl:variable>
	<xsl:variable name="IN">India</xsl:variable>
	<xsl:variable name="IL">Israel</xsl:variable>
	<xsl:variable name="US">United States</xsl:variable>
	<xsl:variable name="IE">Ireland</xsl:variable>
	<xsl:variable name="ID">Indonesia</xsl:variable>
	<xsl:variable name="UM">US Minor Outlying Islands</xsl:variable>
	<xsl:variable name="CSRFInvalid">Invalid value for File path.</xsl:variable>
	<xsl:variable name="UK">United Kingdom</xsl:variable>
	<xsl:variable name="UG">Uganda</xsl:variable>
	<xsl:variable name="CSRSRequired">State (S) is required.</xsl:variable>
	<xsl:variable name="UA">Ukraine</xsl:variable>
	<xsl:variable name="HU">Hungary</xsl:variable>
	<xsl:variable name="HT">Haiti</xsl:variable>
	<xsl:variable name="HR">Croatia (Hrvatska)</xsl:variable>
	<xsl:variable name="TZ">Tanzania</xsl:variable>
	<xsl:variable name="HN">Honduras</xsl:variable>
	<xsl:variable name="HM">Heard and McDonald Islands</xsl:variable>
	<xsl:variable name="TW">Taiwan</xsl:variable>
	<xsl:variable name="CSROURequired">Organization Unit (OU) is required.</xsl:variable>
	<xsl:variable name="TV">Tuvalu</xsl:variable>
	<xsl:variable name="HK">Hong Kong</xsl:variable>
	<xsl:variable name="CSRCInvalid">Invalid value for Country Code (C).</xsl:variable>
	<xsl:variable name="TT">Trinidad and Tobago</xsl:variable>
	<xsl:variable name="TR">Turkey</xsl:variable>
	<xsl:variable name="TP">East Timor</xsl:variable>
	<xsl:variable name="TO">Tonga</xsl:variable>
	<xsl:variable name="TN">Tunisia</xsl:variable>
	<xsl:variable name="TM">Turkmenistan</xsl:variable>
</xsl:stylesheet>
